From 3ddd61d6622bbe5842c9406f3674aaa97ae2d38c Mon Sep 17 00:00:00 2001
From: Quentin Duchemin <quentinduchemin@tuta.io>
Date: Tue, 9 Jun 2020 23:01:11 +0200
Subject: [PATCH] [docker_test.sh] Quotes strike again

---
 docker_test.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/docker_test.sh b/docker_test.sh
index 283b8140..9836eb34 100755
--- a/docker_test.sh
+++ b/docker_test.sh
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 usage() {
   echo -e "usage:\t$0 DIRECTORY, e.g. $0 pica-mattermost"
   echo -e "\tDIRECTORY : name of the directory containing docker-compose.yml\n"
@@ -82,7 +84,7 @@ done
 echo -e "\n==== Remove and re-create named external volumes ===="
 for v in $(docker-compose config --volumes); do
   res=$(grep $v -A 1 docker-compose.yml | grep 'external' || true)
-  if [ ! -z $res ]; then
+  if [ ! -z "$res" ]; then
     # Don't fail if volume does not exists
     docker volume rm "$v" || true
     docker volume create "$v"
-- 
GitLab